KD SOAP API Documentation: KDSoapPendingCallWatcher Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Classes | Signals | Public Member Functions | List of all members
KDSoapPendingCallWatcher Class Reference

`#include <KDSoapPendingCallWatcher.h>`

Inheritance diagram for KDSoapPendingCallWatcher:
[legend]
Collaboration diagram for KDSoapPendingCallWatcher:
[legend]

## Classes
class | Private

## Signals
void | finished (KDSoapPendingCallWatcher *self)

## Public Member Functions
| KDSoapPendingCallWatcher (const KDSoapPendingCall &call, QObject *parent=nullptr)
| ~KDSoapPendingCallWatcher ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const
Public Member Functions inherited from KDSoapPendingCall
| KDSoapPendingCall (const KDSoapPendingCall &other)
| ~KDSoapPendingCall ()
bool | isFinished () const
KDSoapPendingCall & | operator= (const KDSoapPendingCall &other)
KDSoapHeaders | returnHeaders () const
KDSoapMessage | returnMessage () const
QVariant | returnValue () const

## Additional Inherited Members
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Public Attributes inherited from QObject
typedef | QObjectList
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)
Properties inherited from QObject
| objectName

## Detailed Description

The KDSoapPendingCallWatcher class provides a convenient way for waiting for asynchronous replies.

KDSoapPendingCallWatcher provides the finished() signal that will be emitted when a reply arrives.

It is usually used like the following example:

KDSoapPendingCall pendingCall = client.asyncCall(QLatin1String("MethodName"), message);
KDSoapPendingCallWatcher *watcher = new KDSoapPendingCallWatcher(pendingCall, this);
QObject::connect(watcher, &KDSoapPendingCallWatcher::finished,
this, &MyClass::slotFinished);
KDSoapPendingCallWatcher
Definition KDSoapPendingCallWatcher.h:36
KDSoapPendingCallWatcher::finished
void finished(KDSoapPendingCallWatcher *self)
KDSoapPendingCall
Definition KDSoapPendingCall.h:39
KDSoapPendingCall::KDSoapPendingCallWatcher
friend class KDSoapPendingCallWatcher
Definition KDSoapPendingCall.h:98
QLatin1String
QObject::connect
QMetaObject::Connection connect(const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QObject::qobject_cast
T qobject_cast(QObject *object)

Note
  It is not necessary to keep the original KDSoapPendingCall object around since KDSoapPendingCallWatcher inherits from that class too.

Definition at line 35 of file KDSoapPendingCallWatcher.h.

## Constructor & Destructor Documentation

## ◆ KDSoapPendingCallWatcher()

KDSoapPendingCallWatcher::KDSoapPendingCallWatcher | ( | const KDSoapPendingCall & | call,
|  | QObject * | parent = `nullptr`
| ) |  |
| explicit

Creates a KDSoapPendingCallWatcher object to watch for replies on the asynchronous pending call `call` and sets this object's parent to `parent`.

Definition at line 16 of file KDSoapPendingCallWatcher.cpp.

References QObject::connect(), and QNetworkReply::finished().

## ◆ ~KDSoapPendingCallWatcher()

KDSoapPendingCallWatcher::~KDSoapPendingCallWatcher | ( |  | ) |

Destroys this object. If this KDSoapPendingCallWatcher object was the last reference to the unfinished pending call, the call will be canceled.

Definition at line 26 of file KDSoapPendingCallWatcher.cpp.

## Member Function Documentation

## ◆ finished

void KDSoapPendingCallWatcher::finished | ( | KDSoapPendingCallWatcher * | self | ) |
| signal

This signal is emitted when the pending call has finished and its reply is available. The `self` parameter is a pointer to the object itself, passed for convenience so that the slot can access the properties and determine the contents of the reply.

Referenced by KDSoapThreadTask::process().

The documentation for this class was generated from the following files:

- KDSoapPendingCallWatcher.h
- KDSoapPendingCallWatcher.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8